### Class

# Ide Symbol

#### Description

    class Ide.Symbol : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_symbol_new

No description available.

Available since: 3.32

###### ide_symbol_new_from_variant

No description available.

#### Instance methods

###### ide_symbol_get_flags

No description available.

###### ide_symbol_get_header_location

Gets the header location, if any.

Available since: 3.32

###### ide_symbol_get_kind

No description available.

###### ide_symbol_get_location

Gets the location, if any.

Available since: 3.32

###### ide_symbol_get_name

No description available.

###### ide_symbol_to_variant

This converts the symbol to a `GVariant` that is suitable for passing across an IPC boundary.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Symbol:flags

No description available.

###### Ide.Symbol:header-location

No description available.

###### Ide.Symbol:kind

No description available.

###### Ide.Symbol:location

No description available.

###### Ide.Symbol:name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSymbolClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.